EMF::EMRPOLYBEZIER16(3)

NAME
EMF::EMRPOLYBEZIER16 - EMF Polybezier16.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

Inherited by EMF::EMRPOLYBEZIERTO16 [private].

  Public Member Functions

EMRPOLYBEZIER16 (const RECTL *bounds, const POINT16 *points, INT n)
EMRPOLYBEZIER16 (const RECTL *bounds, const POINT *points, INT n)
EMRPOLYBEZIER16 (DATASTREAM &ds)
~EMRPOLYBEZIER16 ()
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Polybezier16.

Draw a polygonal Bezier curve to (what?) using 16-bit points.

Constructor & Destructor Documentation

  EMF::EMRPOLYBEZIER16::EMRPOLYBEZIER16 (const RECTL * bounds, const POINT16 * points, INT n) [inline]

Parameters
    bounds overall bounding box of polybezier curve.
    points array of polybezier vertices.
    n number of vertices in points.

References EMRPOLYBEZIER16().

Referenced by EMRPOLYBEZIER16(), EMRPOLYBEZIER16(), and EMRPOLYBEZIER16().

  EMF::EMRPOLYBEZIER16::EMRPOLYBEZIER16 (const RECTL * bounds, const POINT * points, INT n) [inline]
Convenience constructor with POINTs.

Parameters
    bounds overall bounding box of polybezier curve.
    points array of polybezier vertices.
    n number of vertices in points.

References EMRPOLYBEZIER16().

  EMF::EMRPOLYBEZIER16::EMRPOLYBEZIER16 (DATASTREAM & ds) [inline]
Construct a PolyBezier record from the input stream.

Parameters
    ds Metafile datastream.

References EMRPOLYBEZIER16().

  EMF::EMRPOLYBEZIER16::~EMRPOLYBEZIER16 () [inline]
Destructor frees a copy of the points it buffered.

Member Function Documentation

  void EMF::EMRPOLYBEZIER16::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

Reimplemented in EMF::EMRPOLYBEZIERTO16.

  bool EMF::EMRPOLYBEZIER16::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

Reimplemented in EMF::EMRPOLYBEZIERTO16.

  int EMF::EMRPOLYBEZIER16::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Reimplemented in EMF::EMRPOLYBEZIERTO16.

Author

Generated automatically by Doxygen for libemf from the source code.